UIDragIndicator (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIDragIndicator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDragIndicator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDragIndicator

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlDragIndicator

    public abstract class UIDragIndicator

extends javax.faces.component.UIComponentBase

Component for render Drag indicator ( marker )

Author:
  shura

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `DEFAULT_INDICATOR_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIDragIndicator()`

Method Summary
`abstract java.lang.String` | `getAcceptClass()`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getRejectClass()` CSS class name for reject state
`abstract void` | `setAcceptClass(java.lang.String acceptClass)`
`abstract void` | `setRejectClass(java.lang.String newRejectClass)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### DEFAULT_INDICATOR_ID

    public static final java.lang.String DEFAULT_INDICATOR_ID

See Also:
  Constant Field Values

Constructor Detail

### UIDragIndicator

    public UIDragIndicator()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getAcceptClass

    public abstract java.lang.String getAcceptClass()

  Returns:
    the acceptClass

### setAcceptClass

    public abstract void setAcceptClass(java.lang.String acceptClass)

  Parameters:
    `acceptClass` - the acceptClass to set

### getRejectClass

    public abstract java.lang.String getRejectClass()

  CSS class name for reject state

  Returns:
    the acceptClass

### setRejectClass

    public abstract void setRejectClass(java.lang.String newRejectClass)

  Parameters:
    `newRejectClass` - the value to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.